Bug 138480 - [PATCH] GPT PMBR disk >2TB fix
[PATCH] GPT PMBR disk >2TB fix
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: parted (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks: 140583
  Show dependency treegraph
 
Reported: 2004-11-09 10:25 EST by Matt Domsch
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 12:41:14 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
parted-1.6.16-device-length-in-pmbr.patch (676 bytes, patch)
2004-11-09 10:26 EST, Matt Domsch
no flags Details | Diff

  None (edit)
Description Matt Domsch 2004-11-09 10:25:42 EST
Description of problem:
On Mon, 2004-11-08 at 10:45 -0600, Matt Domsch wrote:
(patch submitted to bug-parted@gnu.org for inclusion after 1.6.16)
Patch below (applies against 1.6.11 and 1.6.16 at least) sets the
SizeInLBA field in the Protective MBR on GPT disks to be 0xFFFFFFFF if
the disk size is really larger than that.  This is to be consistent
with the EFI Specification.

Necessary to prevent overflowing this field on really large disks.
The 2.6.10 Linux kernel partitioning code will start checking
this value for sanity, and 0xFFFFFFFF is a special value there now.

Note, though no single disk can be larger than 2TB yet, a RAID 
controller could project such, likewise the new partitionable md_d0pX 
software RAID volumes could be larger than 2TB and want to put a GPT 
partition table on that.  (yes, I've verified that this works).


Version-Release number of selected component (if applicable):
parted <= 1.6.16-0
Comment 1 Matt Domsch 2004-11-09 10:26:43 EST
Created attachment 106345 [details]
parted-1.6.16-device-length-in-pmbr.patch

Patch as submitted to bug-parted@gnu.org
Comment 2 Matt Domsch 2004-11-09 18:24:15 EST
Patch accepted by upstream maintainer Andrew Clausen, so I expect it 
in parted-1.6.17 when released.
Comment 3 Jeremy Katz 2004-11-11 16:33:55 EST
merged into the -devel package.  Will merge over to the RHEL4 branch
once I see how the new geometry probing works out.  So leaving open
for now and putting it on a tracker so I don't forget about it.
Comment 5 Jeremy Katz 2004-11-30 17:53:22 EST
Refreshing parted package to 1.6.19 to pull in the slew of geometry
related fixes Andrew has added recently and also gets this.
Comment 6 Matt Domsch 2004-12-07 12:41:14 EST
Yep, closing.

Note You need to log in before you can comment on or make changes to this bug.